### org.jfree.layouting.renderer.text

# Interface ExtendedBaselineInfo

Known Implementing Classes:
  DefaultExtendedBaselineInfo

`public interface ExtendedBaselineInfo`

Creation-Date: 24.07.2006, 17:38:23

Author:
  Thomas Morgner

  ## Field Summary

  `static int`

  `AFTER_EDGE`

  `static int`

  `ALPHABETHIC`

  `static int`

  `BASELINE_COUNT`

  `static int`

  `BEFORE_EDGE`

  `static int`

  `CENTRAL`

  `static int`

  `HANGING`

  `static int`

  `IDEOGRAPHIC`

  `static int`

  `MATHEMATICAL`

  `static int`

  `MIDDLE`

  `static int`

  `TEXT_AFTER_EDGE`

  `static int`

  `TEXT_BEFORE_EDGE`

  ## Method Summary

  `long`

  `getBaseline(int baseline)`

  `long[]`

  `getBaselines()`

  `int`

  `getDominantBaseline()`

  `ExtendedBaselineInfo`

  `shift(long s)`

## Field Details

### AFTER_EDGE

    public static final int AFTER_EDGE

> Field Value:
>   9

### ALPHABETHIC

    public static final int ALPHABETHIC

> Field Value:
>   6

### BASELINE_COUNT

    public static final int BASELINE_COUNT

> Field Value:
>   10

### BEFORE_EDGE

    public static final int BEFORE_EDGE

> Field Value:
>   0

### CENTRAL

    public static final int CENTRAL

> Field Value:
>   3

### HANGING

    public static final int HANGING

> Field Value:
>   2

### IDEOGRAPHIC

    public static final int IDEOGRAPHIC

> Field Value:
>   7

### MATHEMATICAL

    public static final int MATHEMATICAL

> Field Value:
>   5

### MIDDLE

    public static final int MIDDLE

> Field Value:
>   4

### TEXT_AFTER_EDGE

    public static final int TEXT_AFTER_EDGE

> Field Value:
>   8

### TEXT_BEFORE_EDGE

    public static final int TEXT_BEFORE_EDGE

> Field Value:
>   1

## Method Details

### getBaseline

    public long getBaseline(int baseline)

### getBaselines

    public long[] getBaselines()

### getDominantBaseline

    public int getDominantBaseline()

### shift

    public ExtendedBaselineInfo shift(long s)